package com.zm.order.tool.server.model;

import com.alibaba.fastjson.JSON;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author NianChang
 * @ClassName InnerOrderItemBatching
 * @date 2021/03/22 4:14 下午
 */
public class InnerOrderItemBatching {

    /**
     * 加料ID
     */
    private String batchingId;

    /**
     * 加料名称
     */
    private String batchingName;

    /**
     * 加料编码
     */
    private String code;

    /**
     * 购买数量
     */
    private Integer num;

    /**
     * 价格
     */
    private BigDecimal price;

    /**
     * 订单商品主键id
     */
    private Long orderItemId;

    /**
     * 创建时间
     */
    private Date createdAt;

    /**
     * 修改时间
     */
    private Date updatedAt;

    /**
     * 删除标识
     */
    private Integer isDeleted;

    /**
     * 扩展信息
     */
    private String features;

    public String getBatchingId() {
        return batchingId;
    }

    public void setBatchingId(String batchingId) {
        this.batchingId = batchingId;
    }

    public String getBatchingName() {
        return batchingName;
    }

    public void setBatchingName(String batchingName) {
        this.batchingName = batchingName;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public Long getOrderItemId() {
        return orderItemId;
    }

    public void setOrderItemId(Long orderItemId) {
        this.orderItemId = orderItemId;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public Integer getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Integer isDeleted) {
        this.isDeleted = isDeleted;
    }

    public String getFeatures() {
        return features;
    }

    public void setFeatures(String features) {
        this.features = features;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
